### Function

# Notify ActionCallback

#### Declaration

    void
    (* NotifyActionCallback) (
      NotifyNotification* notification,
      char* action,
      gpointer user_data
    )

#### Description [src]

An action callback function.

#### Parameters

`notification`

  Type: `NotifyNotification`

  A `NotifyActionCallback` notification.

  The data is owned by the caller of the function.

`action`

  Type: `char*`

  The activated action name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`user_data`

  Type: `gpointer`

  User provided data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.